<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid Demo</title>
    <style>
        html, body {
            width: 100%;
            height: 100%;
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }
        #parent {
            width: 100%;
            height: 100%;
            display: grid;
            grid-template-columns: 50px 1fr 2fr 1fr 50px;
            grid-template-rows: 300px auto auto;
            grid-template-areas: 
                ". c1 c1 c2 ."
                ". c3 c4 c2 ."
                ". c5 c5 c2 .";
        }
        #parent div {
            border: 1px solid red;
        }
        #child1 {
            grid-area: c1;
            /* grid-column: 1 / 3; */
        }
        #child2 {
            grid-area: c2;
            /* grid-column: 3 / 4;    
            grid-row: 1 / 4; */
        }
        #child3 {
            grid-area: c3;
        }
        #child4 {
            grid-area: c4;
        }
        #child5 {
            grid-area: c5;
            /* grid-row: 3 / 4;
            grid-column: 1 / 3; */
        }
    </style>
</head>
<body>
    <div id="parent">
        <div id="child1">1</div>
        <div id="child2">2</div>
        <div id="child3">3</div>
        <div id="child4">4</div>
        <div id="child5">5</div>
    </div>
</body>
</html>